ChiliProject - Feature # 941: Project templates

Status: Open Priority: Normal

Author: Leandro BenincA; Category:

Created: 2012-03-20 Assignee:

Updated: 2012-05-10 Due date:

Remote issue URL:

Affected version: master

Description: Hi! One feature that IMHO's missing in CP is the hability to create pre-defined issues for a new project (think

of a template).

Because in my case (and | think most of designers and developers' cases), many issues are common among
all my projects, such as Briefing, contract meeting, review, validation, etc.

Is there a way of doing so, and if not, anyone willing to develop that??

Thanks, and sorry for the poor english!

History

2012-03-21 09:03 am - Markus Guske
- File Client-Website.pdf added

Do you mean :

* you need different tracker types called briefing, contract meeting, etc., containing custom fields?

* you want to book a time entry with such of those activities to a single issue?

* you mean, you want a project template with a bunch of predifined issues all tight together, you can find in some project management tools.
As a result you have a small standard project plan (Gantt-Chart)

Here is a PDF of Merlin software with a some standard issues to express the last point see attachment:"Client-Website.pdf"

2012-03-21 10:10 am - Leandro BenincA;

Hey, Markus, | think that's my case: a project template with a bunch of predifined issues all tight together.

In my quest trying to find that function (after posting on CP site), a friend told me in Facebook that he uses the Admnistrator "copy project” function.

He creates a series of templates for his commons tasks, named "AATemplate Webdesign" (for instance), and then he only hits the button "copy"

everytime he wants a new project with all those settings predefined.

And | think it'll work for me!

But anyway, if one of you guys would like to create a "template" function, it'd be awesome for everyone (like me) that haven't found this "little trick" yet.

Thanks a lot for the quick response!

2012-03-25 08:03 am - Felix Schéfer
- Target version deleted (3.1.0)

- Subject changed from To-do list (pre-defined issues) to Project templates

- Category deleted (Forums)

Hi Leandro,
I've edited the title of the issue to (I think) better reflect your intention. The best way to do this today is indeed to have a dummy project and to copy it as
needed.

A little side-note: please only set the target version if you can commit to supply code until then, thanks.

2012-05-10 02:22 pm - Manuel Villar Guijarro
I'd also like this functionality to be implemented.
